## igerman98 20120607

=== Makefile ===
# Makefile for the dictionary igerman98
#
# Author: Bjoern Jacke <bjoern@j3e.de>
#
# Copyright: GNU GPLv2 and GPLv3

LANGS=de_DE de_AT de_CH
LANGS2=$(LANGS) de_all
DATE=`date +%Y%m%d`
VERSION=`cat VERSION`
VERSION_EXTRA=$(shell find . -name "VERSION.*" -print | while read i ; do echo -n "+"; head -1 "$$i" | tr -d "\n" ; done)
VERSION_STRING=$(VERSION)$(VERSION_EXTRA) (build $(DATE))

all:
	@echo "A default make target doesn't exist. You might want to use one of those:"
	@echo "  make hunspell/de_DE.dic hunspell/de_DE.aff (or de_AT or de_CH)"
	@echo "  make myspell/de_DE.dic myspell/de_DE.aff (or de_AT or de_CH)"
	@echo "  make ispell/de_DE.aff ispell/de_DE.hash (or de_AT, de_CH ...)"
	@echo "  make aspell/de_DE.rws (or de_AT, de_CH ...)"
	@echo "  make ligature/rmligs"
	@echo "  make isowordlist-de_DE (or de_AT, de_CH ...)"
	@echo "Did I forget an important one ?-)"



#MYLANG = $(shell echo -n $@ | sed "s/^.*_\(de_.*$$\)/\1/")
MYLANG = $(shell echo $@ | sed "s/^.*[_/]\(de_[a-zA-Z]*\).*/\1/")

# FIND_OPTS can be used to exclude directories from being used, like:
# FIND_OPTS = ! -name "*-a-*"

define WORDS_define_template

WORDS_$(1) = $$(shell $$(FIND) ./dicts/ -name "*$(1)*.txt" ! -name "*compound*" $$(FIND_OPTS) -print)

WORDS_COMP_$(1) = $$(shell $$(FIND) ./dicts/ -name "compound*$(1)*.txt" $$(FIND_OPTS) -print)

## alle ohne "*-x*"
WORDS_CAPMAIN_SMALL_$(1)	= $$(shell $$(FIND) ./dicts/ -name "*$(1)*.txt" ! -name "*-x*" ! -name "*compound*" $$(FIND_OPTS) -print)

## alle "*-xx*"
WORDS_CAPMAIN_PLUS_$(1)	= $$(shell $$(FIND) ./dicts/ -name "*$(1)*.txt" -name "*-xx*" ! -name "*compound*" $$(FIND_OPTS) -print)

## alle "*-x*" ohne "*-xx*"
WORDS_NOCAPMAIN_$(1)	= $$(shell $$(FIND) ./dicts/ -name "*$(1)*.txt" -name "*-x*" ! -name "*-xx*" ! -name "*compound*" $(FIND_OPTS) -print)

WORDS_BLACKLISTS_$(1) = $$(shell $$(FIND) ./dicts/ -name "blacklist*$(1)*" $(FIND_OPTS) -print)

endef
$(foreach langcode,$(LANGS2),$(eval $(call WORDS_define_template,$(langcode))))

ISPELLIBDIR = $$($(ISPELL) -vv |grep "LIBDIR" |$(SED) "s/.*\=//" |tr -d \")
DESTDIR =
# make might have to be GNU make,
# please report problems with other make versions to me.
MAKE = make
FIND = find
SORT = sort
TAR = tar
SED = sed
NL = nl
CP = cp
# some incarnations of "wc -l" print out leading whitespace, let's use sed:
WCL = $(SED) -n '$$='

# the following is to remove temp files during build. Set it
# to rm if disk space is an issue during build time:
RM_OR_NOT = @\#
#RM_OR_NOT = rm

#ZIP = zip
#ZIP_OPTS = -j -r -9 -X
ZIP = 7z
ZIP_OPTS = a -tzip -mx=9
BUILDHASH = buildhash

ISPELL = ispell
HUNSPELL_BIN = hunspell
# Hunspell starting with 1.1.9 (?) uses automatic charset transcoding,
# we need to make sure we use latin1:
HUNSPELL = $(HUNSPELL_BIN) `$(HUNSPELL_BIN) -h 2>&1 | grep -q "hunspell \\-i" && echo "-i latin1"`


SQ = sq
UNSQ = unsq
#   if for some reason you don't have Ispell's unsq use my Perl sq/unsq
#  and put it into a directory known by your PATH variable!
#UNSQ = unsq.pl

ASPELL = aspell

# if you don't have ispell around, you may change this to aspell:
AFFIX_EXPANDER = ispell

ifeq ($(AFFIX_EXPANDER),ispell)
AFFIX_EXPAND_PREREQ = ispell/$(1)_null.hash ispell/$(1)_null.aff
AFFIX_EXPAND_COMMAND = $(ISPELL) -d./ispell/$(1)_null -e
MUNCH_PFX = munch.
else
AFFIX_EXPAND_PREREQ = aspell/$(1).dat aspell/$(1)_affix.dat
AFFIX_EXPAND_COMMAND = ( $(SED) -f ./bin/dic2iso | $(ASPELL) --encoding=iso8859-1 --lang=$(1) --local-data-dir=./aspell expand )
MUNCH_PFX =
endif

vpath %.txt ./dicts  ./hunspell ./myspell
.SUFFIXES: .txt .dic
.PHONY: clean pack unpack sort help dist hunspell-all
SUBDIRS = testdir

# to let `sort' behave right: setting LC_ALL ist not enough, because
# UTF-8 locales won't get overwritten by that, we also need to reset LANG!
# That's strange and might have been a bug which is fixed in the meantime.
# Otherwise locale depending sorting, grepping etc. which is slow as hell
# (like for de_DE) would be used, we don't need that anyway. See
# http://mail.nl.linux.org/linux-utf8/2003-11/msg00041.html

LANG=C
LC_ALL=C
LC_COLLATE=C


#$(addprefix dicts/,$(WORTE)): unpack
#	echo x
#	test -e $@ || (echo Wortliste $@ nicht vorhanden ; exit 1)



###
## Ispell stuff:
###

ispell/de_AT.aff ispell/de_DE.aff: ispell/de_DE.aff.in
	$(CP) ispell/de_DE.aff.in $@

ispell/de_CH.aff: ispell/de_DE.aff.in
	$(SED) "/swiss-del/d" ispell/de_DE.aff.in |$(SED) "/swiss-convert/s/sS/SS/g" |$(SED) '/\#swiss-only/s/^\#//' |$(SED) '/stringchar/!s/sS//g' > $@


define LANG_ispell_dict_template

ispell/$(1).hash: ispell/$(1).aff all.words.munch.$(1).tmp
	$(BUILDHASH) all.words.munch.$(1).tmp ./ispell/$(1).aff $$@

all.words.$(1).tmp: $$(WORDS_$(1)) $$(WORDS_de_all) dicts/abkuerzpunkt.txt
	$(SED) "s/qq//g;s/\.//;s/\-.*//" dicts/abkuerzpunkt.txt $$(WORDS_$(1)) $$(WORDS_de_all) \
	| (test -e ./bin/conv_dict_$(1) && ./bin/conv_dict_$(1) || cat) \
	| grep -v "\/.*d" | grep -v "##" | $(SED) "s/#.*//" | ./bin/myspellfixprefix.pl | $(SORT) -u > $$@

all.words.munch.$(1).tmp: all.words.$(1).tmp ispell/$(1).aff
	@# the munched way to overcome "Hash table overflowed by xxxx words" error:
	munchlist -l ./ispell/$(1).aff all.words.$(1).tmp > $$@
	@# the unmunched way:
	@#$(CP) all.words.$(1).tmp $$@

ispell/$(1)_null.hash: ispell/$(1)_null.aff
	test -e all.words.placebo.tmp || echo a > all.words.placebo.tmp
	$(BUILDHASH) all.words.placebo.tmp ispell/$(1)_null.aff $$@

isowordlist-$(1): $(AFFIX_EXPAND_PREREQ) all.words.$(MUNCH_PFX)$(1).tmp
	$(AFFIX_EXPAND_COMMAND) < all.words.$(MUNCH_PFX)$(1).tmp |tr ' ' '\n' |$(SED) -f ./bin/dic2iso | $(SORT) -u > $$@

endef
$(foreach langcode,$(LANGS),$(eval $(call LANG_ispell_dict_template,$(langcode))))




###
## old Aspell stuff, new aspell/ stuff support for aspell 0.60 later down...
###
#
#help.hash: german.aff all.words2 .copyright
#	$(BUILDHASH) all.words2 ./german.aff $@
#
#all.words2:
#	cd dicts; sed s/qq//g $(WORTE) | $(SORT) -u > ../$@
#
#aspell: help.hash
#	#cat all.words2 dicts/abkuerzpunkt.txt |$(ISPELL) -e -d./help |sed -f ./bin/dic2iso |sort -u |$(ASPELL) --lang=german create master ./german
#	sed "s/\.//g" all.words2 dicts/abkuerzpunkt.txt |$(ISPELL) -e -d./help |sed -f ./bin/dic2iso | $(SORT) -u |$(ASPELL) --lang=german create master ./german
#
#swiss-aspell: swiss
#	cat all.words.swiss |$(ISPELL) -e -d./swiss |sed -f ./bin/dic2iso | $(SORT) -u |$(ASPELL) --lang=swiss create master ./swiss
#



define LANG_myspell_template

aspell/$(1)_affix.dat: myspell/$(1).aff
	$(CP) myspell/$(1).aff $$@

aspell/$(1).multi: aspell/de_all.multi.in
	$(SED) "s/LANG_REPLACE/$(1)/g" < aspell/de_all.multi.in > $$@

aspell/$(1).alias: aspell/de_all.alias.in
	$(SED) "s/LANG_REPLACE/$(1)/g" < aspell/de_all.alias.in > $$@

aspell/$(1).dat: aspell/de_all.dat.in
	$(SED) "s/LANG_REPLACE/$(1)/g" < aspell/de_all.dat.in > $$@

aspell/$(1).rws: myspell/$(1).dic aspell/$(1)_affix.dat aspell/$(1).multi aspell/$(1).dat aspell/$(1).alias
	# the warnings about skipped words should be ignorable...
	$(ASPELL) --lang=$(1) --dict-dir=./aspell/ --local-data-dir=./aspell/ create master $(1).rws < myspell/$(1).dic

myspell/$(1).dic: $$(WORDS_$(1)) $$(WORDS_de_all) dicts/abkuerzpunkt.txt
	cat $$(WORDS_$(1)) $$(WORDS_de_all) dicts/abkuerzpunkt.txt \
		| (test -e ./bin/conv_dict_$(1) && ./bin/conv_dict_$(1) || cat) \
		| ./bin/myspell-generic-process.sh  > $$@.tmp
	$$(WCL) < $$@.tmp > $$@
	cat myspell/de_all.dic.header | $(SED) "s/AFF_VERSION_REPLACE/$(VERSION_STRING)/;s/LANG_REPLACE/$(1)/" >> $$@
	$(SED) -f ./bin/dic2iso < $$@.tmp >> $$@
	$(RM_OR_NOT) $$@.tmp

endef
$(foreach langcode,$(LANGS) liglist,$(eval $(call LANG_myspell_template,$(langcode))))



define LANG_aff_template

myspell/$(1).aff: myspell/de_all.aff.in myspell/de_all.aff.header
	cat myspell/de_all.aff.header myspell/de_all.aff.in | $(SED) "s/AFF_VERSION_REPLACE/$(VERSION_STRING)/;s/LANG_REPLACE/$(1)/" > $$@

hunspell/$(1).aff: hunspell/de_all.aff.hunspell_additions myspell/de_all.aff.in hunspell/de_all.aff.header
	cat hunspell/de_all.aff.header myspell/de_all.aff.in hunspell/de_all.aff.hunspell_additions | $(SED) "s/AFF_VERSION_REPLACE/$(VERSION_STRING)/;s/LANG_REPLACE/$(1)/" > $$@

ispell/$(1)_null.aff: ispell/$(1).aff
	$(CP) ispell/$(1).aff $$@

endef
$(foreach langcode,$(LANGS) liglist,$(eval $(call LANG_aff_template,$(langcode))))


define LANGS2_hunspell_dicts_template

HUNSPELL_DICTS_BASE_$(1) = hunspell-capmain-small_$(1).tmp hunspell-compdic_$(1).tmp hunspell-end-compdic_$(1).tmp hunspell-middle-compdic_$(1).tmp hunspell-end-compdic_$(1).tmp

#HUNSPELL_DICTS_BASE_$(1) = hunspell-capmain-small_$(1).tmp hunspell-compdic_$(1).tmp hunspell-end-compdic_$(1).tmp hunspell-middle-compdic_$(1).tmp hunspell-end-compdic_$(1).tmp hunspell-capmain-small_de_all.tmp hunspell-compdic_de_all.tmp hunspell-end-compdic_de_all.tmp hunspell-middle-compdic_de_all.tmp hunspell-middle-compdic_de_all.tmp hunspell-end-compdic_de_all.tmp

hunspell-capmain-small_$(1).tmp: $$(WORDS_CAPMAIN_SMALL_$(1))
	# limited dictionary without any *-x* files used to sort out all known words from -xx files
	rm -f $$@.tmp
	echo $$(WORDS_CAPMAIN_SMALL_$(1)) | xargs cat >> $$@.tmp
	./bin/hunspell-capmain $$@.tmp > $$@
	$(RM_OR_NOT) $$@.tmp


hunspell-nocapmain_$(1).tmp: $$(WORDS_NOCAPMAIN_$(1)) $$(WORDS_NOCAPMAIN_de_all)
	# limited dictionary of all -x (but not -xx) files
	rm -f $$@.tmp
	#find dicts/ -name "*x*.txt" ! -name "*-xx*" -print | xargs cat >> $@.tmp
	echo $$(WORDS_NOCAPMAIN_$(1)) $$(WORDS_NOCAPMAIN_de_all) | xargs cat >> $$@.tmp
	###TODO??? ./bin/dic2iso < $$@.tmp > $$@
	mv $$@.tmp $$@

hunspell-middle-compdic_$(1).tmp: dicts/middle-compound.txt
	# more TODO here ?
	$(SED) "s:$$$$:/hkem:;s:/\(.*\)/:/\1:"	< dicts/middle-compound.txt	>  $$@

hunspell-end-compdic_$(1).tmp: dicts/end-compound.txt
	# more TODO here ?
	$(SED) "s:$$$$:/oz:;s:/\(.*\)/:/\1:"		< dicts/end-compound.txt	>  $$@

hunspell-compdic_$(1).tmp: $$(WORDS_COMP_$(1)) $$(WORDS_COMP_de_all)
	# sed hack to add "/"to lines which don't have one yet:
	# sed "/^[^\/]*$$/s/$$/\//"
	echo DEBUG: WORDS_COMP_$(1) :: $$(WORDS_COMP_$(1)) :::
	echo DEBUG: WORDS_COMP_de_all :: $$(WORDS_COMP_de_all) :::
	echo $$(WORDS_COMP_$(1)) $$(WORDS_COMP_de_all) | xargs $(SED) "/^[^\/]*$$$$/s/$$$$/\// ; s/$$$$/hij/"	>  $$@
	echo >> $$@
	#	more TODO here ? (added myspellfixprefix...)
	cat $$(WORDS_COMP_$(1)) $$(WORDS_COMP_de_all) \
		| ./bin/myspellfixprefix.pl \
		| ./bin/lcfirst.pl \
		| $(SED) "/^[^\/]*$$$$/s/$$$$/\//;s/$$$$/hke/"			>> $$@
	echo >> $$@

endef
$(foreach langcode,$(LANGS2),$(eval $(call LANGS2_hunspell_dicts_template,$(langcode))))

define LANG_hunspell_template

HUNSPELL_DICTS_ALL_$(1) = $$(HUNSPELL_DICTS_BASE_$(1)) hunspell-capmain-plus_$(1).tmp hunspell-nocapmain_$(1).tmp dicts/abkuerzpunkt.txt hunspell-blacklist_$(1).tmp \
	$$(HUNSPELL_DICTS_BASE_de_all)

hunspell-blacklist_$(1).tmp: $$(WORDS_BLACKLISTS_$(1)) $$(WORDS_BLACKLISTS_de_all)
	# sed hack to merge /f/g to /fg : sed "s:/\(.*\)/:/\1:"
	cat $$(WORDS_BLACKLISTS_$(1)) $$(WORDS_BLACKLISTS_de_all) >$$@

hunspell-capmain-plus_$(1).tmp: $(AFFIX_EXPAND_PREREQ) hunspell/$(1)_small.dic hunspell/$(1)_small.aff $$(WORDS_CAPMAIN_PLUS_$(1)) $$(WORDS_CAPMAIN_PLUS_de_all)
	echo DEBUG: WORDS_CAPMAIN_PLUS_$(1) :: $$(WORDS_CAPMAIN_PLUS_$(1)) :::
	echo DEBUG: WORDS_CAPMAIN_PLUS_de_all :: $$(WORDS_CAPMAIN_PLUS_de_all) :::
	# limited dictionary of *-xx* files containing compounds not generated by capmain-small
	rm -f $$@.unfiltered-list0.tmp
	#find dicts/ -name "*-xx*.txt" -print | xargs cat >> $$@.unfiltered-list.tmp
	echo $$(WORDS_CAPMAIN_PLUS_$(1)) $$(WORDS_CAPMAIN_PLUS_de_all) | xargs cat >> $$@.unfiltered-list0.tmp
	./bin/myspellfixprefix.pl < $$@.unfiltered-list0.tmp | (test -e ./bin/conv_dict_$(1) && ./bin/conv_dict_$(1) || cat) | grep -v '^$$$$' > $$@.unfiltered-list.tmp
	cat $$@.unfiltered-list.tmp | $(AFFIX_EXPAND_COMMAND) > $$@.unfiltered-list-expanded.tmp

=== debian/changelog ===
igerman98 (20120607-1) unstable; urgency=low

  * New upstream version 20120607.
  * Adapt all patches to new version.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets to rules file.
  * Thanks to Jari Aalto for providing a patch for the above three points
    (Closes: #668555)

 -- Roland Rosenfeld <roland@debian.org>  Thu, 07 Jun 2012 17:29:48 +0200

igerman98 (20110609-1) unstable; urgency=low

  * New upstream version 20110609.
  * Adapt all patches to new version.
  * 17_debian: removed, since it is now part of dicts/marken-x-de_all.
  * Replace ë by ü in apell-de (Closes: #506904).
  * Upgrade to Standards-Version 3.9.2 (no changes).
  * Add build-arch/build-indep to debian/rules to make lintian happy.
  * Remove empty directory /usr/share/myspell/infos/ooo from all myspell*-
    and hunspell*-dictionaries, because it is no longer needed since
    squeeze.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 25 Jun 2011 18:05:35 +0200

igerman98 (20100727-2) unstable; urgency=low

  * Build-Depend on dictionaries-common-dev (>= 1.10.5) to remove
    update-openoffice-dicts call from inst-scripts (Closes: #629069).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 03 Jun 2011 16:41:30 +0200

igerman98 (20100727-1) unstable; urgency=low

  * New upstream version 20100727.
  * Adapt all patches to new version.
  * Add debian/source/format 1.0.
  * Upgrade to Standards-Version 3.9.1
    - Convert versioned Conflicts: to Breaks:
  * Wrap long lines in debian/control (Closes: #609539).
  * Make the thunderbird Conflicts: a versioned one (Closes: #507048).
  * debian/rules: Do not create md5sums for /var/lib/ispell and
    /var/lib/aspell.  Things there are expected to change.  Thanks to
    Agustin Martin Domingo <agmartin@debian.org> (Closes: #500618).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 02 Mar 2011 21:28:41 +0100

igerman98 (20091006-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix problems caused by bogus compat files (Closes: #568741, #607622):
    - ingerman.preinst: remove bogus ingerman.compat if present.
    - iswiss.preinst: remove bogus iswiss.compat if present.
    - iswiss.config.in: Touch swiss.compat on reconfigure, not
      iswiss.compat.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 20 Dec 2010 12:12:10 +0100

igerman98 (20091006-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/ingerman.config.in:
    - Fix compat file name to ngerman.compat  (Closes: #568741).
      Thanks to Agustin Martin <agmartin@debian.org> for the patch

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Mar 2010 09:15:03 +0100

igerman98 (20091006-4) unstable; urgency=low

  * remove de-XX.{dic,aff} symlinks in /usr/share/hunspell (closes: #566802)
  * add various ${misc:Depends}

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Jan 2010 22:29:48 +0100

igerman98 (20091006-3) unstable; urgency=low

  * Run munchlist on ispell dictionaries otherwise buildhash fails and the
    resulting hash file runs ispell into a segmentation fault.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 14 Dec 2009 20:35:49 +0100

igerman98 (20091006-2) unstable; urgency=low

  * Fix aspell-de configuration (Closes: #559851).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 07 Dec 2009 07:49:27 +0100

igerman98 (20091006-1) unstable; urgency=low

  * New upstream version 20091006
  * Adapt all patches to the new version.
  * Remove 19_fuenfzehnjaehrig (incorporated upstream).
  * Remove 05_Makefile-syntax (fixed upstream).
  * Rewrote the aspell build process based on upstream Makefile.
  * Remove duplication Section: from control file.
  * Added debian/README.source (from dpatch package) to explain how dpatch
    works.
  * Upgrade to Standards-Version 3.8.3 (no changes).
  * Replace 15_aspell by 18_aspell, which is a complete rewrite based on
    the new upstream version.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 06 Dec 2009 21:19:36 +0100

igerman98 (20071211-2) unstable; urgency=low

  * rebuild with dictionaries-common-dev (>= 1.3.1) to move dictionaries
    to /usr/share/hunspell with compat symlinks from old location
    (closes: #541940)
  * install proper de_{BE,LI,LU}.{dic,aff} symlinks

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Sep 2009 00:46:17 +0200

igerman98 (20071211-1) unstable; urgency=low

  * New upstream version 20071211.
  * Update all patches.
  * 19_fuenfzehnjaehrig: Encode fünfzehnjährig as 7bit instead of UTF-8.
  * Upgrade to Standards-Version 3.8.0 (no changes).
  * Using ispell-autobuildhash:
    - debian/rules: Adapted to use this system
    - debian/control: Changed Architecture from any to all.
    - debian/i*.config.in: New file to reset *.compat on reconfiguration.
  * Depend on ${misc:Depends} instead of various debconf versions.
  * Recommend texlive-latex-base instead of tetex-base in rmligs-german.
  * debian/aspell-de.info-aspell: Add *chars fields for non-ASCII
    characters in dictionaries. Thanks to Rafael Laboissiere for providing
    a patch (Closes: #477669).
  * Convert the german and swiss wordlists from iso-8859-1 to utf-8.
    (Closes: #470459).
  * Build-Depends on aspell (>= 0.60.5-2) where the broken debug output
    was fixed. This supersedes 18_munchlist_workaround.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 30 Jun 2008 22:59:23 +0200

igerman98 (20070829-5) unstable; urgency=high

  * myspell-de-at replaces myspell-de-de (<< 20070829-4) because de_AT.aff
    was moved from de-de to de-at in -4 and upgrade may fail otherwise
    (Closes: #454423).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 05 Dec 2007 20:46:03 +0100

igerman98 (20070829-4) unstable; urgency=medium

  * Apply aspell-support.patch by Kevin Atkinson to 15_aspell, which sets
    language when calling aspell munch-list, fixes local-data-dir and adds
    some documentation on aspell.


=== debian/control ===
Source: igerman98
Section: text
Priority: optional
Maintainer: Roland Rosenfeld <roland@debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Standards-Version: 3.9.3
Build-Depends-Indep: ispell (>= 3.1.20-12.1), hunspell, aspell (>= 0.60.5-2),
 dictionaries-common-dev (>= 1.10.5)
Build-Depends: debhelper (>= 9)
Homepage: http://j3e.de/ispell/igerman98/

Package: ingerman
Architecture: all
Provides: ispell-dictionary
Depends: ${misc:Depends}, ispell, dictionaries-common (>= 0.20.0)
Suggests: wngerman
Description: New German orthography dictionary for ispell
 This is a dictionary for ispell for the new German orthography
 (de-DE-1996), which is used since 1998-08-01 and which is obligatory
 as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography (de-DE-1901), which is available as package iogerman),
 with many corrections and additions.

Package: iswiss
Architecture: all
Provides: ispell-dictionary
Depends: ${misc:Depends}, ispell, dictionaries-common (>= 0.20.0)
Suggests: wswiss
Description: Swiss (German) orthography dictionary for ispell
 This is a dictionary for ispell for the new German orthography
 (de-CH-1996), which is used since 1998-08-01 and which is obligatory
 as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography, which is available as iogerman), with many corrections
 and additions.
 .
 This particular rendering supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: wngerman
Architecture: all
Provides: wordlist
Depends: ${misc:Depends}, dictionaries-common (>= 0.20.0)
Description: New German orthography wordlist
 This is a wordlist with the new German orthography (de-DE-1996),
 which is used since 1998-08-01 and which is obligatory as of
 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography (de-DE-1901), which is available as package wogerman),
 with many corrections and additions.

Package: wswiss
Architecture: all
Provides: wordlist
Depends: ${misc:Depends}, dictionaries-common (>= 0.20.0)
Description: Swiss (German) orthography wordlist
 This is a wordlist with the new German orthography (de-CH-1996), which
 is used since 1998-08-01 and which is obligatory as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography, which is available as wogerman), with many corrections
 and additions.
 .
 This particular rendering supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: rmligs-german
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Recommends: texlive-latex-base
Description: remove incorrectly used ligatures from LaTeX documents
 rmligs-german is a program for removing incorrectly used ligatures
 from LaTeX documents. This version is intended for German language
 texts only.

Package: myspell-de-at
Architecture: all
Depends: dictionaries-common (>= 0.10) | openoffice.org-updatedicts,
 ${misc:Depends}
Suggests: openoffice.org
Replaces: openoffice.org-spellcheck-de-at, myspell-de-de (<< 20070829-4)
Provides: myspell-dictionary, myspell-dictionary-de,
 openoffice.org-spellcheck-de-at
Conflicts: openoffice.org-spellcheck-de-at
Breaks: openoffice.org (<= 1.0.3-2)
Description: Austrian (German) dictionary for myspell
 This is the German (Austria) dictionary (de-AT-1996) for use with
 the myspell spellchecker which is currently used within
 OpenOffice.org and the mozilla spellchecker.

Package: myspell-de-ch
Architecture: all
Depends: dictionaries-common (>= 0.10) | openoffice.org-updatedicts,
 ${misc:Depends}
Suggests: openoffice.org
Replaces: openoffice.org-spellcheck-de-ch
Provides: myspell-dictionary, myspell-dictionary-de,
 openoffice.org-spellcheck-de-ch
Conflicts: openoffice.org-spellcheck-de-ch
Breaks: openoffice.org (<= 1.0.3-2)
Description: Swiss (German) dictionary for myspell
 This is the German (Switzerland, Liechtenstein) dictionary (de-CH-1996)
 for use with the myspell spellchecker which is currently used within
 OpenOffice.org and the mozilla spellchecker.

Package: myspell-de-de
Architecture: all
Depends: dictionaries-common (>= 0.10) | openoffice.org-updatedicts,
 ${misc:Depends}
Suggests: openoffice.org
Replaces: openoffice.org-spellcheck-de-de
Provides: myspell-dictionary, myspell-dictionary-de,
 openoffice.org-spellcheck-de-de
Conflicts: openoffice.org-spellcheck-de-de
Breaks: openoffice.org (<= 1.0.3-2), openoffice.org-core (<< 2.1~m190-1)
Description: German dictionary for myspell
 This is the German (Belgium, Germany, Luxemburg) dictionary (de-DE-1996)
 for use with the myspell spellchecker which is currently used within
 OpenOffice.org and the mozilla spellchecker.

Package: hunspell-de-at
Architecture: all
Depends: dictionaries-common (>= 0.10), ${misc:Depends}
Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
Replaces: openoffice.org-spellcheck-de-at, myspell-de-at
Provides: hunspell-dictionary, hunspell-dictionary-de,
 openoffice.org-spellcheck-de-at
Conflicts: openoffice.org-spellcheck-de-at, myspell-de-at
Breaks: openoffice.org (<= 1.0.3-2), mozilla-browser (<< 1.8+1.1.1-2),
 iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), iceweasel (<< 2.0.0.3-2),
 icedove (<< 2.0.0.0-4), thunderbird (<< 2.0.0.1+0dfsg-0),
 libxul0d (= 1.8.0.11-3)
Description: Austrian (German) dictionary for hunspell
 This is the German (Austria) dictionary (de-AT-1996) for use with the
 hunspell spellchecker which is currently used within OpenOffice.org2
 and as an ispell clone.

Package: hunspell-de-ch
Architecture: all
Depends: dictionaries-common (>= 0.10), ${misc:Depends}
Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
Replaces: openoffice.org-spellcheck-de-ch, myspell-de-ch
Provides: hunspell-dictionary, hunspell-dictionary-de,
 openoffice.org-spellcheck-de-ch
Conflicts: openoffice.org-spellcheck-de-ch, myspell-de-ch
Breaks: openoffice.org (<= 1.0.3-2), mozilla-browser (<< 1.8+1.1.1-2),
 iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), iceweasel (<< 2.0.0.3-2),
 icedove (<< 2.0.0.0-4), thunderbird (<< 2.0.0.1+0dfsg-0),
 libxul0d (= 1.8.0.11-3)
Description: Swiss (German) dictionary for hunspell
 This is the German (Switzerland, Liechtenstein) dictionary (de-CH-1996)
 for use with the hunspell spellchecker which is currently used within
 OpenOffice.org2 and as an ispell clone.

Package: hunspell-de-de
Architecture: all
Depends: dictionaries-common (>= 0.10), ${misc:Depends}
Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
Replaces: openoffice.org-spellcheck-de-de, myspell-de-de
Provides: hunspell-dictionary, hunspell-dictionary-de,
 openoffice.org-spellcheck-de-de
Conflicts: openoffice.org-spellcheck-de-de, myspell-de-de
Breaks: openoffice.org (<= 1.0.3-2), mozilla-browser (<< 1.8+1.1.1-2),
 iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), iceweasel (<< 2.0.0.3-2),
 icedove (<< 2.0.0.0-4), openoffice.org-core (<< 2.1~m190-1),
 thunderbird (<< 2.0.0.1+0dfsg-0), libxul0d (= 1.8.0.11-3)
Description: German dictionary for hunspell
 This is the German (Belgium, Germany, Luxemburg) dictionary (de-DE-1996)
 for use with the hunspell spellchecker which is currently used within
 OpenOffice.org2 and as an ispell clone.

Package: aspell-de
Architecture: all
Depends: aspell (>= 0.60.5-2), dictionaries-common (>= 0.9.1), ${misc:Depends}
Provides: aspell-dictionary
Description: German dictionary for aspell
 This package contains German dictionaries for the aspell spell checker.
 .
 Dictionaries included are: de_DE (de/deutsch/german), de_CH (swiss), and
 de_AT, all using the new German orthography from 1996 (neue Rechtschreibung).
 .
 The old (1901) spelling is provided by aspell-de-alt.

=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2009 Roland Rosenfeld <roland@debian.org>, based on
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DROOT=`pwd`/debian
ADIR=$(DROOT)/aspell-de

build: build-stamp

build-arch:
# does nothing, because the package is Architecture: all

build-indep: build-stamp

build-stamp:
	dh_testdir

	$(MAKE) ispell/de_DE.aff all.words.de_DE.tmp
#	$(MAKE) ispell/de_AT.aff all.words.de_AT.tmp
	$(MAKE) ispell/de_CH.aff all.words.de_CH.tmp

	$(MAKE) hunspell/de_DE.dic hunspell/de_DE.aff
	$(MAKE) hunspell/de_AT.dic hunspell/de_AT.aff
	$(MAKE) hunspell/de_CH.dic hunspell/de_CH.aff

	$(MAKE) myspell/de_DE.dic myspell/de_DE.aff
	$(MAKE) myspell/de_AT.dic myspell/de_AT.aff
	$(MAKE) myspell/de_CH.dic myspell/de_CH.aff

	$(MAKE) ligature/rmligs

	$(MAKE) isowordlist-de_DE
#	$(MAKE) isowordlist-de_AT
	$(MAKE) isowordlist-de_CH

	$(MAKE) aspell/de-common.cwl aspell/de_DE-only.cwl
	$(MAKE) aspell/de_CH-only.cwl aspell/de_AT-only.cwl

	touch build-stamp

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	$(MAKE) clean
	rm -f debian/ingerman.config debian/ingerman.templates
	rm -f debian/wngerman.config debian/wngerman.templates
	rm -f debian/iswiss.config debian/iswiss.templates
	rm -f debian/wswiss.config debian/wswiss.templates

	rm -f debian/hunspell-de-at.copyright debian/hunspell-de-ch.copyright
	rm -f debian/wswiss.copyright

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

#	copyright files:
	cp debian/hunspell-de-de.copyright debian/hunspell-de-at.copyright
	cp debian/hunspell-de-de.copyright debian/hunspell-de-ch.copyright
	cp debian/wngerman.copyright debian/wswiss.copyright

#	ingerman (binary-indep):
	install -o root -g root -m644 ispell/de_DE.aff \
		$(DROOT)/ingerman/usr/lib/ispell/ngerman.aff
	gzip -9 < all.words.munch.de_DE.tmp \
		> $(DROOT)/ingerman/usr/share/ispell/ngerman.mwl.gz
	touch $(DROOT)/ingerman/var/lib/ispell/ngerman.compat
	touch $(DROOT)/ingerman/var/lib/ispell/ngerman.hash
	(cd $(DROOT)/ingerman/usr/lib/ispell; \
		ln -s "../../../var/lib/ispell/ngerman.hash" ngerman.hash)
	(cd $(DROOT)/ingerman/usr/lib/ispell; \
		ln -s ngerman.aff ndeutsch.aff; \
		ln -s ngerman.hash ndeutsch.hash;)

#	iswiss (binary-indep):
	install -o root -g root -m644 ispell/de_CH.aff \
		$(DROOT)/iswiss/usr/lib/ispell/swiss.aff
	gzip -9 < all.words.munch.de_CH.tmp \
		> $(DROOT)/iswiss/usr/share/ispell/swiss.mwl.gz
	touch $(DROOT)/iswiss/var/lib/ispell/swiss.compat
	touch $(DROOT)/iswiss/var/lib/ispell/swiss.hash
	(cd $(DROOT)/iswiss/usr/lib/ispell; \
		ln -s "../../../var/lib/ispell/swiss.hash" swiss.hash)
	(cd $(DROOT)/iswiss/usr/lib/ispell; \
		ln -s swiss.aff deutsch-schweiz.aff; \
		ln -s swiss.hash deutsch-schweiz.hash;)

#	wngerman (binary-indep):
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_DE \
		> $(DROOT)/wngerman/usr/share/dict/ngerman

#	wswiss (binary-indep):	
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_CH \
		> $(DROOT)/wswiss/usr/share/dict/swiss

#	rmligs-german (binary-indep):
	install -o root -g root -m755 ligature/rmligs \
		$(DROOT)/rmligs-german/usr/bin/rmligs-german
	sed -e 's/rmligs/rmligs-german/g;s/RMLIGS/RMLIGS-GERMAN/g' \
	    -e 's%README%/usr/share/doc/rmligs-german/README.ligatures%g' \
	    < ligature/rmligs.1 \
	    > $(DROOT)/rmligs-german/usr/share/man/man1/rmligs-german.1

#	myspell-de-ch (binary-indep)
	install -o root -g root -m644 myspell/de_CH.aff \
		$(DROOT)/myspell-de-ch/usr/share/hunspell
	install -o root -g root -m644 myspell/de_CH.dic \
		$(DROOT)/myspell-de-ch/usr/share/hunspell
	(cd $(DROOT)/myspell-de-ch/usr/share/hunspell; \
		ln -s de_CH.aff de_LI.aff; \
		ln -s de_CH.dic de_LI.dic)
	(cd $(DROOT)/myspell-de-ch/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_CH.aff de_CH.aff; \
		ln -s ../../hunspell/de_CH.dic de_CH.dic; \
		ln -s ../../hunspell/de_LI.aff de_LI.aff; \
		ln -s ../../hunspell/de_LI.dic de_LI.dic; \
		ln -s ../../hunspell/de_CH.aff de-CH.aff; \
		ln -s ../../hunspell/de_CH.dic de-CH.dic; \
		ln -s ../../hunspell/de_LI.aff de-LI.aff; \
		ln -s ../../hunspell/de_LI.dic de-LI.dic)

#	myspell-de-de (binary-indep)
	install -o root -g root -m644 myspell/de_DE.aff \
		$(DROOT)/myspell-de-de/usr/share/hunspell
	install -o root -g root -m644 myspell/de_DE.dic \
		$(DROOT)/myspell-de-de/usr/share/hunspell
	(cd $(DROOT)/myspell-de-de/usr/share/hunspell; \
		ln -s de_DE.aff de_BE.aff; \
		ln -s de_DE.dic de_BE.dic; \
		ln -s de_DE.aff de_LU.aff; \
		ln -s de_DE.dic de_LU.dic)
	(cd $(DROOT)/myspell-de-de/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_DE.aff de_DE.aff; \
		ln -s ../../hunspell/de_DE.dic de_DE.dic; \
		ln -s ../../hunspell/de_BE.aff de_BE.aff; \
		ln -s ../../hunspell/de_BE.dic de_BE.dic; \
		ln -s ../../hunspell/de_LU.aff de_LU.aff; \
		ln -s ../../hunspell/de_LU.dic de_LU.dic; \
		ln -s ../../hunspell/de_DE.aff de-DE.aff; \
		ln -s ../../hunspell/de_DE.dic de-DE.dic; \
		ln -s ../../hunspell/de_BE.aff de-BE.aff; \
		ln -s ../../hunspell/de_BE.dic de-BE.dic; \
		ln -s ../../hunspell/de_LU.aff de-LU.aff; \
		ln -s ../../hunspell/de_LU.dic de-LU.dic)

#	myspell-de-at (binary-indep)
	install -o root -g root -m644 myspell/de_AT.aff \
		$(DROOT)/myspell-de-at/usr/share/hunspell
	install -o root -g root -m644 myspell/de_AT.dic \
		 $(DROOT)/myspell-de-at/usr/share/hunspell
	(cd $(DROOT)/myspell-de-at/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_AT.dic de_AT.dic; \
		ln -s ../../hunspell/de_AT.aff de_AT.aff; \
		ln -s ../../hunspell/de_AT.dic de-AT.dic; \
		ln -s ../../hunspell/de_AT.aff de-AT.aff)

#	hunspell-de-ch (binary-indep)
	install -o root -g root -m644 hunspell/de_CH.aff \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_CH.dic \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-ch/usr/share/hunspell; \
		ln -s de_CH.aff de_LI.aff; \
		ln -s de_CH.dic de_LI.dic)
	(cd $(DROOT)/hunspell-de-ch/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_CH.aff de_CH.aff; \
		ln -s ../../hunspell/de_CH.dic de_CH.dic; \
		ln -s ../../hunspell/de_LI.aff de_LI.aff; \
		ln -s ../../hunspell/de_LI.dic de_LI.dic; \
		ln -s ../../hunspell/de_CH.aff de-CH.aff; \
		ln -s ../../hunspell/de_CH.dic de-CH.dic; \
		ln -s ../../hunspell/de_LI.aff de-LI.aff; \
		ln -s ../../hunspell/de_LI.dic de-LI.dic)

#	hunspell-de-de (binary-indep)
	install -o root -g root -m644 hunspell/de_DE.aff \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_DE.dic \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-de/usr/share/hunspell; \
		ln -s de_DE.aff de_BE.aff; \
		ln -s de_DE.dic de_BE.dic; \
		ln -s de_DE.aff de_LU.aff; \
		ln -s de_DE.aff de_LU.dic)
	(cd $(DROOT)/hunspell-de-de/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_DE.aff de_DE.aff; \
		ln -s ../../hunspell/de_DE.dic de_DE.dic; \
		ln -s ../../hunspell/de_BE.aff de_BE.aff; \
		ln -s ../../hunspell/de_BE.dic de_BE.dic; \
		ln -s ../../hunspell/de_LU.aff de_LU.aff; \
		ln -s ../../hunspell/de_LU.dic de_LU.dic; \
		ln -s ../../hunspell/de_DE.aff de-DE.aff; \
		ln -s ../../hunspell/de_DE.dic de-DE.dic; \
		ln -s ../../hunspell/de_BE.aff de-BE.aff; \
		ln -s ../../hunspell/de_BE.dic de-BE.dic; \
		ln -s ../../hunspell/de_LU.aff de-LU.aff; \
		ln -s ../../hunspell/de_LU.dic de-LU.dic)

#	hunspell-de-at (binary-indep)
	install -o root -g root -m644 hunspell/de_AT.aff \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_AT.dic \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-at/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_AT.dic de_AT.dic; \
		ln -s ../../hunspell/de_AT.aff de_AT.aff; \
		ln -s ../../hunspell/de_AT.dic de-AT.dic; \
		ln -s ../../hunspell/de_AT.aff de-AT.aff)

#	aspell-de (binary-indep)
	install -o root -g root -m644 aspell/de_DE.multi \

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://j3e.de/ispell/igerman98/dict/igerman98-[a-z]*([0-9]*)\.tar\.bz2

## igerman98 20131206

=== debian/changelog ===
igerman98 (20131206-5) unstable; urgency=low

  * Undo workaround from previous version and (build-)depend on
    dictionaries-common >= 1.23.4 instead.  This should solve this issue.
    (Closes: #750067, #750069, #750540).
  * debian/aspell-de.info-aspell: Use octal representation for casechars
    and friends.
  * Add debian/*.info-hunspell files for myspell and hunspell dicts.
  * debian/*.info-*: Use experimental 'Emacsen-Names' feature at
    (dictionaries-common 1.23.3) to provide consistent long names
    across spellcheckers (Closes: #748773).
  * Thanks to Agustin Martin for providing the above patches.  

 -- Roland Rosenfeld <roland@debian.org>  Wed, 11 Jun 2014 18:19:35 +0200

igerman98 (20131206-4) unstable; urgency=low

  * Workaround for /var/lib/aspell removal on upgrade in
    aspell-de.postinst by temporarily touching/removing a file there
    (Closes: #748253).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 15 May 2014 20:23:15 +0200

igerman98 (20131206-3) unstable; urgency=low

  * Use standard DC debhelper snippets to better handle upgrades from old
    versions (Closes: #746965).
  * No longer ship anything under ancient /usr/share/myspell.
  * Thanks to Agustin Martin Domingo for providing the above two patches.
  * Add ${perl:Depends} to ingerman, iswiss, wngerman and wswiss, since
    they use perl via debconf.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 May 2014 12:47:05 +0200

igerman98 (20131206-2) unstable; urgency=low

  * Create /var/lib/ispell in ingerman/iswiss.preinst if it doesn't exist.
    (Closes: #745571)

 -- Roland Rosenfeld <roland@debian.org>  Wed, 23 Apr 2014 08:44:36 +0200

igerman98 (20131206-1) unstable; urgency=low

  * New upstream version 20131206.
  * Adapt all patches to new version.
  * Get rid of empty {ngerman|swiss}.{hash|compat} in the packages
    ingerman and iswiss and instead create them in preinst to avoid
    problems with debsums, since these files were changed in postinst but
    needed by postinst.  Thanks to Jameson C. Burt for mentioning this
    problem.
  * 19_Bedenkminuteen: Fix wrong affix of Bedenkminute (Closes: #731828).
  * Update to Standards-Version 3.9.5 (no changes).
  * Update debian/watch file.
  * Update Homepage URL.
  * Remove sarge legacy code from aspell-de.postinst to make lintian happy.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 12 Apr 2014 13:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends-Indep: ispell (>= 3.1.20-12.1), hunspell, aspell (>= 0.60.5-2),
- dictionaries-common-dev (>= 1.10.5)
+ dictionaries-common-dev (>= 1.23.4)
 Build-Depends: debhelper (>= 9)
-Homepage: http://j3e.de/ispell/igerman98/
+Homepage: https://www.j3e.de/ispell/igerman98/
 
 Package: ingerman
 Architecture: all
 Provides: ispell-dictionary
-Depends: ${misc:Depends}, ispell, dictionaries-common (>= 0.20.0)
+Depends: ${misc:Depends}, ${ispell:Depends}, ${perl:Depends}
 Suggests: wngerman
 Description: New German orthography dictionary for ispell
  This is a dictionary for ispell for the new German orthography
@@ -26,7 +26,7 @@
 Package: iswiss
 Architecture: all
 Provides: ispell-dictionary
-Depends: ${misc:Depends}, ispell, dictionaries-common (>= 0.20.0)
+Depends: ${misc:Depends}, ${ispell:Depends}, ${perl:Depends}
 Suggests: wswiss
 Description: Swiss (German) orthography dictionary for ispell
  This is a dictionary for ispell for the new German orthography
@@ -43,7 +43,7 @@
 Package: wngerman
 Architecture: all
 Provides: wordlist
-Depends: ${misc:Depends}, dictionaries-common (>= 0.20.0)
+Depends: ${misc:Depends}, ${wordlist:Depends}, ${perl:Depends}
 Description: New German orthography wordlist
  This is a wordlist with the new German orthography (de-DE-1996),
  which is used since 1998-08-01 and which is obligatory as of
@@ -56,7 +56,7 @@
 Package: wswiss
 Architecture: all
 Provides: wordlist
-Depends: ${misc:Depends}, dictionaries-common (>= 0.20.0)
+Depends: ${misc:Depends}, ${wordlist:Depends}, ${perl:Depends}
 Description: Swiss (German) orthography wordlist
  This is a wordlist with the new German orthography (de-CH-1996), which
  is used since 1998-08-01 and which is obligatory as of 2005-08-01.
@@ -175,7 +175,7 @@
 
 Package: aspell-de
 Architecture: all
-Depends: aspell (>= 0.60.5-2), dictionaries-common (>= 0.9.1), ${misc:Depends}
+Depends: ${misc:Depends}, ${aspell:Depends}
 Provides: aspell-dictionary
 Description: German dictionary for aspell
  This package contains German dictionaries for the aspell spell checker.

=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2014 Roland Rosenfeld <roland@debian.org>, based on
# sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DROOT=`pwd`/debian
ADIR=$(DROOT)/aspell-de

build: build-stamp

build-arch:
# does nothing, because the package is Architecture: all

build-indep: build-stamp

build-stamp:
	dh_testdir

	$(MAKE) ispell/de_DE.aff all.words.de_DE.tmp
#	$(MAKE) ispell/de_AT.aff all.words.de_AT.tmp
	$(MAKE) ispell/de_CH.aff all.words.de_CH.tmp

	$(MAKE) hunspell/de_DE.dic hunspell/de_DE.aff
	$(MAKE) hunspell/de_AT.dic hunspell/de_AT.aff
	$(MAKE) hunspell/de_CH.dic hunspell/de_CH.aff

	$(MAKE) myspell/de_DE.dic myspell/de_DE.aff
	$(MAKE) myspell/de_AT.dic myspell/de_AT.aff
	$(MAKE) myspell/de_CH.dic myspell/de_CH.aff

	$(MAKE) ligature/rmligs

	$(MAKE) isowordlist-de_DE
#	$(MAKE) isowordlist-de_AT
	$(MAKE) isowordlist-de_CH

	$(MAKE) aspell/de-common.cwl aspell/de_DE-only.cwl
	$(MAKE) aspell/de_CH-only.cwl aspell/de_AT-only.cwl

	touch build-stamp

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	rm -f debian/ingerman.config debian/ingerman.templates
	rm -f debian/wngerman.config debian/wngerman.templates
	rm -f debian/iswiss.config debian/iswiss.templates
	rm -f debian/wswiss.config debian/wswiss.templates

	rm -f debian/hunspell-de-at.copyright debian/hunspell-de-ch.copyright
	rm -f debian/wswiss.copyright

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

#	copyright files:
	cp debian/hunspell-de-de.copyright debian/hunspell-de-at.copyright
	cp debian/hunspell-de-de.copyright debian/hunspell-de-ch.copyright
	cp debian/wngerman.copyright debian/wswiss.copyright

#	ingerman (binary-indep):
	install -o root -g root -m644 ispell/de_DE.aff \
		$(DROOT)/ingerman/usr/lib/ispell/ngerman.aff
	gzip -9 < all.words.munch.de_DE.tmp \
		> $(DROOT)/ingerman/usr/share/ispell/ngerman.mwl.gz
	(cd $(DROOT)/ingerman/usr/lib/ispell; \
		ln -s ngerman.aff ndeutsch.aff; \
		ln -s ngerman.hash ndeutsch.hash;)

#	iswiss (binary-indep):
	install -o root -g root -m644 ispell/de_CH.aff \
		$(DROOT)/iswiss/usr/lib/ispell/swiss.aff
	gzip -9 < all.words.munch.de_CH.tmp \
		> $(DROOT)/iswiss/usr/share/ispell/swiss.mwl.gz
	(cd $(DROOT)/iswiss/usr/lib/ispell; \
		ln -s swiss.aff deutsch-schweiz.aff; \
		ln -s swiss.hash deutsch-schweiz.hash;)

#	wngerman (binary-indep):
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_DE \
		> $(DROOT)/wngerman/usr/share/dict/ngerman

#	wswiss (binary-indep):
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_CH \
		> $(DROOT)/wswiss/usr/share/dict/swiss

#	rmligs-german (binary-indep):
	install -o root -g root -m755 ligature/rmligs \
		$(DROOT)/rmligs-german/usr/bin/rmligs-german
	sed -e 's/rmligs/rmligs-german/g;s/RMLIGS/RMLIGS-GERMAN/g' \
	    -e 's%README%/usr/share/doc/rmligs-german/README.ligatures%g' \
	    < ligature/rmligs.1 \
	    > $(DROOT)/rmligs-german/usr/share/man/man1/rmligs-german.1

#	myspell-de-ch (binary-indep)
	install -o root -g root -m644 myspell/de_CH.aff \
		$(DROOT)/myspell-de-ch/usr/share/hunspell
	install -o root -g root -m644 myspell/de_CH.dic \
		$(DROOT)/myspell-de-ch/usr/share/hunspell
	(cd $(DROOT)/myspell-de-ch/usr/share/hunspell; \
		ln -s de_CH.aff de_LI.aff; \
		ln -s de_CH.dic de_LI.dic)

#	myspell-de-de (binary-indep)
	install -o root -g root -m644 myspell/de_DE.aff \
		$(DROOT)/myspell-de-de/usr/share/hunspell
	install -o root -g root -m644 myspell/de_DE.dic \
		$(DROOT)/myspell-de-de/usr/share/hunspell
	(cd $(DROOT)/myspell-de-de/usr/share/hunspell; \
		ln -s de_DE.aff de_BE.aff; \
		ln -s de_DE.dic de_BE.dic; \
		ln -s de_DE.aff de_LU.aff; \
		ln -s de_DE.dic de_LU.dic)

#	myspell-de-at (binary-indep)
	install -o root -g root -m644 myspell/de_AT.aff \
		$(DROOT)/myspell-de-at/usr/share/hunspell
	install -o root -g root -m644 myspell/de_AT.dic \
		 $(DROOT)/myspell-de-at/usr/share/hunspell

#	hunspell-de-ch (binary-indep)
	install -o root -g root -m644 hunspell/de_CH.aff \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_CH.dic \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-ch/usr/share/hunspell; \
		ln -s de_CH.aff de_LI.aff; \
		ln -s de_CH.dic de_LI.dic)

#	hunspell-de-de (binary-indep)
	install -o root -g root -m644 hunspell/de_DE.aff \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_DE.dic \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-de/usr/share/hunspell; \
		ln -s de_DE.aff de_BE.aff; \
		ln -s de_DE.dic de_BE.dic; \
		ln -s de_DE.aff de_LU.aff; \
		ln -s de_DE.aff de_LU.dic)

#	hunspell-de-at (binary-indep)
	install -o root -g root -m644 hunspell/de_AT.aff \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_AT.dic \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell

#	aspell-de (binary-indep)
	install -o root -g root -m644 aspell/de_DE.multi \
		$(ADIR)/usr/lib/aspell/de-neu.multi
	install -o root -g root -m644 aspell/de_DE.multi \
		$(ADIR)/usr/lib/aspell/de_DE-neu.multi
	install -o root -g root -m644 aspell/de_CH.multi \
		$(ADIR)/usr/lib/aspell/de_CH-neu.multi
	install -o root -g root -m644 aspell/de_AT.multi \
		$(ADIR)/usr/lib/aspell/de_AT-neu.multi

	install -o root -g root -m644 aspell/de_AT.alias \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_CH.alias \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_DE.alias \
		$(ADIR)/usr/lib/aspell/

	install -o root -g root -m644 aspell/de.dat \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_phonet.dat \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_affix.dat \
		$(ADIR)/usr/lib/aspell/

	dh_install
	gzip -9c < aspell/de-common.cwl \
		> $(ADIR)/usr/share/aspell/de-common.cwl.gz
	gzip -9c < aspell/de_AT-only.cwl \
		> $(ADIR)/usr/share/aspell/de_AT-only.cwl.gz
	gzip -9c < aspell/de_CH-only.cwl \
		> $(ADIR)/usr/share/aspell/de_CH-only.cwl.gz
	gzip -9c < aspell/de_DE-only.cwl \
		> $(ADIR)/usr/share/aspell/de_DE-only.cwl.gz
	dh_link


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i Documentation/Changes
	dh_link -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
	installdeb-wordlist -pwngerman # Internally calls dh_installdebconf
	installdeb-wordlist -pwswiss   # Internally calls dh_installdebconf
	installdeb-myspell -pmyspell-de-de
	installdeb-myspell -pmyspell-de-at
	rm -f $(DROOT)/myspell-de-at/usr/share/hunspell/de-DE.*
	installdeb-myspell -pmyspell-de-ch
	installdeb-myspell -phunspell-de-de
	installdeb-myspell -phunspell-de-at
	rm -f $(DROOT)/hunspell-de-at/usr/share/hunspell/de-DE.*
	installdeb-myspell -phunspell-de-ch
	installdeb-aspell -paspell-de
	installdeb-ispell -pingerman # Internally calls dh_installdebconf
	installdeb-ispell -piswiss   # Internally calls dh_installdebconf
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i -Xvar/lib/ispell -Xvar/lib/aspell
	dh_builddeb -i

binary-arch:
# does nothing, because the package is Architecture: all

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary \
	install clean clean1
